* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: sans-serif;
}

body {
  background: #000;
  color: #fff;
  display: flex;
  flex-direction: column;
  padding-top: 60px;
  padding-bottom: 0;
  min-height: 55vh;
  overflow-x: hidden;
}

/* HEADER */
.header {
  display: flex;
  position: fixed;
  width: 100%;
  background: #000;
  border-bottom: 1px solid #222;
  justify-content: space-between;
  padding: 15px 40px;
  align-items: center;
  top: 0;
  z-index: 9999;
  box-shadow: 0 10px 30px rgba(0, 0, 0, 1.2);
}

main {
  flex: 1;
}

nav a {
  margin: 0 10px;
  text-decoration: none;
  color: #ccc;
}

nav a:hover {
  color: #fff;
}

.menu-toggle {
  display: none;
  font-size: 25px;
  cursor: pointer;
  transform: translate(5px);
  transition: all 0.4s ease;
}

.menu-toggle:hover {
  transform: scale(1.2);
}

.cart-cover {
  display: flex;
  max-width: 40px;
}
.cart-icon {
  font-size: 30px;
  color: white;
  width: 50px;
  border-radius: 20px;
  text-shadow: 0 2px 0px white;
  cursor: pointer;
}

.total-n {
  max-width: 20px;
  max-height: 20px;
  bottom: 20%;
  font-size: 14px;
  font-weight: bold;
  color: orangered;
  margin: 3px;
  border-radius: 50px;
  text-align: center;
}

.tab {
  opacity: 1;
}

.tab.active {
  text-decoration: underline;
  color: floralwhite;
  text-shadow: 0 5px 10px white;
  transform: translateY(-5px);
  transition: all 0.5s ease;
}

.tab h1 {
  font-size: 30px;
  color: white;
  width: 50px;
  border-radius: 20px;
}

.tab-content {
  opacity: 1;
  max-height: none;
  transform: translate(10px);
  transition: all 0.5s ease;
}

.tab-content.active {
  opacity: 1;
}


/* HERO */
.hero {
  display: flex;
  max-height: 600px;
  padding: 50px;
  justify-content: space-between;
  gap: 40px;
  margin-top: 0;
  margin-bottom: 0;
  background: #000;
  color: white;
  align-items: center;
}

.hero-text {
  flex: 1;
  max-width: 400px;
  margin: 10px;
}

.hero-text h1 {
  font-size: 50px;
  font-weight: 600 bold;
}

.hero-text p {
  font-size: 18px;
}

.hero-image {
  flex: 1;
  max-width:400px;
  width: 100%;
  height: auto;
  transition: all 0.2s ease;
}

.hero-image:hover {
  transform: scale(1.1);
}

.hero-button {
  margin-top: 20px;
  padding: 10px 20px;
  border: none;
  border-radius: 30px;
  background: #fff;
  color: #000;
  cursor: pointer;
}

/* CATEGORIES */
.categories {
  padding: 40px;
  text-align: center;
}

.category-box {
  display: flex;
  justify-content: center;
  gap: 20px;
  margin-top: 20px;
}

.category-box div {
  padding: 20px;
  background: white;
  color: black;
  border-radius: 10px;
}

.phones-section h2 {
  padding: 10px;
  margin: 10px;
}

.phone-categories {
  width: 100%;
  display: flex;
  padding: 40px;
  text-align: center;
}

.phone-categories button {
  width: 25%;
  height: 50px;
}

button {
  font-size: 15px;
  border-radius: 15px;
  padding: 10px;
  color: black;
  background: white;
  cursor: pointer;
  transform: translate(10px);
  transition: all 0.4s ease;
}

button:hover {
  background: linear-gradient(to right, #DA22FF, #9733EE);
  color: white;
  transform: translate(-5px);
}

.mid-body {
  display: flex;
  justify-content: space-between;
  gap: 40px;
  align-items: center;
}

.body-pic {
  display: flex;
  max-width: 600px;

}

.body-pic img {
  left: 20%;

}


.body-text {
  margin-top: 22%;
  flex: 1;
  max-width: 400px;
}

.body-text h1 {
  font-size: 50px;
  font-weight: bold;
}


/* PRODUCTS */
.products {
  padding: 40px;
}

.product-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 10px;
  padding: 15px;
}


.cart-btn {
  bottom:20px;;
  transform:translateY(20px);
  opacity:0;
  max-height: 0;
  width: 80px;
  background:rgba(0,0,0,0.85);
  background-color: burlywood;
  box-shadow: 0 10px 20px rgba(0,0,0,0.5);
  color:black;
  cursor: pointer;
  border-radius:30px;
  font-size:20px;
  text-shadow: 1px 2px 0 white;
  backdrop-filter: blur(10px);
  transition:all 0.4s ease;
  align-content: center;
}
.product {
  flex: 1;
  background: #fff;
  color: black;
  border-radius: 20px;
  padding: 15px;
  text-align: center;
  align-content: center;
  transition: all 0.4s ease;
  margin-bottom: 20px;
}

.product:hover {
  transform: scale(1.04);
  box-shadow: 0 10px 30px white;
}

.product:hover .cart-btn {
  opacity: 1;
  max-height: 100px;
  transform: translateY(-20px);
}

.product-img {
  border-bottom: 2px solid black;

}

.product-img img {
  width: 100%;
  max-width: 220px;
  margin-bottom: 10px;
  border-radius: 10px;
  transition: all 0.4s ease;
}
.product-img img:hover {
  transform: translateY(-5px);
}

.cart {
  position: fixed;
  top: 0;
  top: 70px;
  right: -100%;
  width: 500px;
  height: 100vh;
  background: #000;
  color: white;
  padding: 20px;
  z-index: 2000;
  transition: right 0.4s ease;
  overflow-y: auto;
  box-shadow: -10px 0 30px rgba(0,0,0,0.8);
}

.cart.show {
  right: 0;
}

.cart-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.7);
  backdrop-filter: blur(10px);
  opacity: 0;
  pointer-events: none;
  transition: 0.3s ease;
  z-index: 1500;
}

.cart-overlay.show {
  opacity: 1;
  pointer-events: all;
}


.cart-id {
  border: 1px solid grey;
  border-radius: 10px;
  max-height: 400px;
  overflow-y: auto;
  margin: 20px;
}


#cart-items li {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 10px;
}

#cart-items button {
  background: red;
  color: white;
  border: none;
  padding: 5px 10px;
  border-radius: 8px;
  cursor: pointer;
}

#cart-items button:hover {
  opacity: 0.8;
}

/* WHY US */
.why-us {
  position: sticky;
  width: 100%;
  padding: 20px;
  text-align: center;
  background: white;
  color: black;
}

.why-us h2 {
  margin-bottom: 20px;
}

.social-links a {
  margin-right: 15px;
  text-decoration: none;
  font-size: 2.0rem;
  opacity: 1;
  transition: 0.3s;
  position: fixed;
  left: 50%;
  color: white;
  cursor: pointer;
}

.social-links a:hover {
  opacity: 0.7;
}


.whatsapp {
  position: fixed;
  bottom: 20px;
  right: 20px;
  background: #25D366;
  color: white;
  padding: 15px;
  border-radius: 50%;
  font-size: 20px;
  text-decoration: none;
}

/* FOOTER */
footer {
  text-align: center;
  padding: 20px;
  width: 100%;
}


/* === Mobile Responsive === */

@media (max-width: 768px) {

  .hero {
    padding: 20px 10px;
    max-height: 350px;
    gap: 0px;
    top: 0;
    bottom: 0;
    margin-bottom: 0;
    margin-top: 0;
    justify-content: space-between;
  }

  .hero-text h1 {
    font-size: 30px;
    width: 200px;
  }

  .hero-text p {
    font-size: 14px;
  }

  .hero-image img {
    max-width: 170px;
  }

  .mid-body {
    max-width: 100px;
    margin: 0;
    padding: 0;
    margin-bottom: 0;
    gap: 10px;
    justify-content: space-between;
  }

  .body-pic {
    height: 250px;
    max-width: 250px;
  }

   .body-text h1 {
    font-size: 24px;
    width: 120px;
    top: 20%;
    margin-top: 20px;
    padding: 10px;
    gap: 20px;
  }

  .body-text p {
    font-size: 14px;
  }

  .phone-categories {
    font-size: 14px;
    margin-top: 0;
  }

  .phone-categories button {
  width: 25%;
  margin-top: 0;
  border-radius: 10px;
}

  .product-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 15px;
    padding: 10px;
    margin-bottom: 20px;
  }

  .product {
    flex-direction: row;
    padding: 15px;
    margin-bottom: 20px;
  }

  .product-img img {
    width: 120px;
  }

  .product h3 {
    font-size: 15px;
    margin-top: 0;
  }

  .product p {
    font-size: 12px;
  }

  .cart-btn {
    max-width: 50px;
    height: 50px;
    margin: 5px;
    text-align: center;
  }

  .cart {
  position: fixed;
  top: 60px;
  width: 300px;
}




  nav {
    display: flex;
    opacity: 0;
    max-height: 0;
    flex-direction: column;
    background: #000;
    position: absolute;
    top: 60px;
    right: 0;
    width: 100%;
    text-align: center;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 1.5);
    transform: translate(10px);
    transition: all 0.6s ease;
  }

  nav a {
    padding: 15px;
    display: block;
  }

  nav.show {
    opacity: 1;
    max-height: 400px;
  }

  .menu-toggle {
    display: block;
  }

  .why-us {
    padding: 10px;
    max-height: 80px;
    width: 100%;
  }

  .why-us h2 {
    font-size: 15px;
  }

  .why-us p {
    font-size: 12px;
  }

  footer {
    font-size: 10px;
  }
}



